HomeGuidesAPI ReferenceGuidesMRT APIConfiguration API
GitHubAirheads Developer Community
API Reference

Get client firewall session logs

This API endpoint retrieves sessions logs from access points, CX switches and gateways in a site based on the given client MAC and the filter.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required
length ≤ 20

The ID of the site from which to retrieve the firewall session logs.

date-time
required
length ≤ 27

The start time for the query in RFC 3339 format, must be less than end-at.

date-time
required
length ≤ 27

The end time for the query in RFC 3339 format, must be greater than start-at.

string
required
length ≤ 17

The client MAC of the source device.

string
required

OData Version 4.0 filter string (limited functionality). Supports only 'and' conjunction ('or' and 'not' are NOT supported). Supported fields and operators are in the below given table.

FieldOperatorsRequiredTypeDefault ValueSummary
applicationCategoryeqYesStringN\AFormat is string. Only applicationCategory or webCategory must be set but not both. Also cannot have both applicationCategory and webCategory empty.
webCategoryeqYesStringN\AFormat is string. Only applicationCategory or webCategory must be set but not both. Also cannot have both applicationCategory and webCategory empty.
deviceTypeeq and inNoString('DEVICE_TYPE_AP','DEVICE_TYPE_GATEWAY','DEVICE_TYPE_SWITCH')Format is a tuple that contains string. Example: ('DEVICE_TYPE_AP','DEVICE_TYPE_GATEWAY','DEVICE_TYPE_SWITCH')
deduplicationeqNoStringtrueFormat is string but should only contain values true or false. Returns unique session logs if set to true

The operators are implemented as follows:

  • eq: Only values exactly matching the given value are returned.

  • in: Only values present in the given list are returned.

int32
0 to 1000
Defaults to 1000

The maximum number of items to return.

string

Cursor for the next page of results. Use the value returned in the next response field to retrieve the next page. Providing both next and offset in the same request returns 400 Bad Request.

int32
≥ 0

The offset of the item at which to begin the response. Providing both offset and next in the same request returns 400 Bad Request.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json